Draft Polygon: Difference between revisions

From FreeCAD Documentation
(Changing type after creation)
Line 15: Line 15:
# Adjust the desired number of sides in the options dialog.
# Adjust the desired number of sides in the options dialog.
# Click another point on the 3D view, or type a radius value to define the polygon radius.
# Click another point on the 3D view, or type a radius value to define the polygon radius.

The polygon is created inscribed in a circle of the specified radius; it can be switched to circumscribed after creation by changing its draw mode property.

The number of sides of the polygon can also be changed after creation by changing its faces number property.


==Options== <!--T:5-->
==Options== <!--T:5-->

Revision as of 00:13, 7 November 2018

Draft Polygon

Menu location
Draft → Polygon
Workbenches
Draft, Arch
Default shortcut
P G
Introduced in version
-
See also
Draft Circle

Description

The Polygon tool creates a regular polygon inscribed in a circumference by picking two points, the center and the radius. It uses the Draft Linestyle set on the Draft Tray.

How to use

  1. Press the Draft Polygon button, or press P then G keys.
  2. Click a first point on the 3D view, or type a coordinate to indicate the center.
  3. Adjust the desired number of sides in the options dialog.
  4. Click another point on the 3D view, or type a radius value to define the polygon radius.

The polygon is created inscribed in a circle of the specified radius; it can be switched to circumscribed after creation by changing its draw mode property.

The number of sides of the polygon can also be changed after creation by changing its faces number property.

Options

  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Polygon tool will restart after you finish it, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the polygon will create a filled face (DataMake Face true); if not, the polygon will not make a face (DataMake Face false).
  • Press Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Cancel button to abort the current command.

Properties

Data

  • DataRadius: specifies the radius of the circle that defines the polygon
  • DataDraw Mode: specifies if the polygon is inscribed in a circle, or circumscribed around a circle.
  • DataFaces Number: specifies the number of sides of the polygon.
  • DataChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the polygon.
  • DataFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the wire.
  • DataMake Face: specifies if the Polygon makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object.

View

  • ViewPattern: specifies a Draft Pattern with which to fill the face of the polygon. This property only works if DataMake Face is true.
  • ViewPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: FreeCAD Scripting Basics, Draft API, and the autogenerated API documentation.

The Polygon tool can be used in macros and from the Python console by using the following function:

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Creates a Polygon object with the given number of faces (nfaces), and based on a circle of radius in millimeters.
  • If inscribed is True, the polygon is inscribed in the circle, otherwise it will be circumscribed.
    • One of the vertices of the polygon will lie on the X axis if no other placement in given.
  • If a placement is given, it is used.
  • If face is True, the polygon will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

rotation90 = App.Placement(App.Vector(0,0,0), App.Rotation(App.Vector(0,0,1), 90))
Polygon3 = Draft.makePolygon(6, radius=1450, placement=rotation90)